it-mure.jp.net

RAM Emacsの要件

私は64MBのRAMを搭載したアンティークコンピュータを継承しました。 emacsをインストールしたいのですが、それが実行される場合に限ります。 emacsのマニュアルにはシステム要件が記載されていないようです。実際、一般的な検索では、オリジナルの当時の贅沢な1MB RAM要件と、emacsが「80MBと絶えず交換する」というジョークが見つかっただけです。

より大きなRAMが進行中です-128MB-システムの震えを停止させずに待つかどうかを知っておくといいでしょう。

プラグインなどを使いすぎない限り、行ってもいいはずです。また、「当時」のジョークは「8メガバイトと絶えず交換」だったので、もう一度大丈夫です。参考までに、コンピューター(GUIバージョン)でemacsのインスタンスを開きましたが、RAMは約7.5MBしか使用していません。最悪の事態が発生し、コンピュータのメモリが不足しているため、いつでもアンインストールできます。

6
lyallcooper

RHEL5.2上のEmacs21.4は、Xなしで起動するために117Mの仮想メモリと10Mの常駐を必要とします。

RHEL6.1上のEmacs23.1.1は、238Mの仮想メモリ、13Mの常駐メモリを必要としますが、Xはありません。

ただし、どちらもさまざまなXツールキットを使用して構築されています。

私の推測では、大丈夫なサイズのスワップパーティションを作成し、起動するまで少し待ってもかまわない場合は、満足するでしょう。

自分でビルドする場合は、Xツールキット(GTK、Xaw3dなど)を使用せずに、configureを実行するときにXを使用せずにビルドするように依頼することをお勧めします。

3
Bruce ONeel

64MBのPowerBookまたは80MBのLinuxラップトップのメジャーバージョン17からメジャーバージョン19まで、または128MBのLinuxボックスのメジャーバージョン21で、さまざまなemacsenに問題が発生したことはありません。私は、メモリが不足している状況で、より新しいバージョンを試したことがありません。

ただし、emacsは単なるエディターではなく、生き方であり、独自のオペレーティングシステムです。アクティブにするモードが多く、開いたままのバッファが多いほど、より多くのメモリが保持されます。

メモリ不足の状況で役立つコマンドは、標準インストールではkill-bufferにバインドされているC-x kです。

Emacsは1976年頃からのかなり古いソフトウェアなので、同時に実行している他のソフトウェアによっては、コンピューターにインストールしても問題ないと思います。私は128MBのRAMを搭載したiMacを持っており、他のタスクを実行したり画面を使用したりしながら、emacsを問題なく動作させることができました。一時的にRAMの半分がありますが、それでも問題はありません。最悪の事態が発生し、システムがクラッシュした場合は、再起動するだけです。

編集:

同様に、最新バージョンのEMac(2011年3月10日)の現在のシステム要件に関する情報も見つかりません。

0
Chris Knadler